package org.wow.autodkp.model.graph;

import java.util.Date;


/**
 * A graph item that represents a raid parent object.
 * 
 * @author jsandusky
 */
public class RaidGraphItem extends LuaGraphItem {
    
    private Date mStartDate;
    private Date mEndDate;
    
    public RaidGraphItem(LuaGraphItem parent, String name, Object value, boolean isLeaf) {
        super(parent, name, value, isLeaf);
        mType = RAID_ITEM;
    }

    
    public Date getEndDate() {
        return mEndDate;
    }

    public void setEndDate(Date endDate) {
        mEndDate = endDate;
    }

    public Date getStartDate() {
        return mStartDate;
    }

    public void setStartDate(Date startDate) {
        mStartDate = startDate;
    }
}
