package org.wow.autodkp.model.points;


public class RollCall {
    
    public static final String RAID_START_NAME = "Raid Start";
    public static final String RAID_END_NAME   = "Raid End";
    
    private String mName;
    private float mPoints;
    private int mRecurrence;
    
    
    public RollCall(String name, float points, int recurrence) {
        mName = name;
        mPoints = points;
        mRecurrence = recurrence;
    }

    
    public String getName() {
        return mName;
    }
    
    public void setName(String name) {
        mName = name;
    }
    
    public float getPoints() {
        return mPoints;
    }
    
    public void setPoints(float points) {
        mPoints = points;
    }

    public int getRecurrence() {
        return mRecurrence;
    }

    public void setRecurrence(int recurrence) {
        mRecurrence = recurrence;
    }

    public boolean equals(Object obj) {
        if (obj instanceof RollCall) {
            return mName.equals(((RollCall) obj).getName());
        }
        return super.equals(obj);
    }

    public int hashCode() {
        return mName.hashCode();
    }
}
