package org.wow.autodkp.model.points.dkp;


/**
 * Whether points for a boss kill are to be applied or not.
 * 
 * @author jsandusky
 */
public class BossKillPointDetail {
    
    private boolean mIsIncluding;
    private float mCurrentPoints;
    
    public BossKillPointDetail(boolean isIncluding, float currentPoints) {
        mIsIncluding = isIncluding;
        mCurrentPoints = currentPoints;
    }
    
    public boolean isIncluding() {
        return mIsIncluding;
    }
    
    public float getCurrentPoints() {
        return mCurrentPoints;
    }
}
