package org.wow.autodkp.model.points.dkp;



/**
 * Represents a formula.
 * 
 * @author jsandusky
 */
public class DefaultDKPFormula extends AbstractDKPFormula {

    public DefaultDKPFormula(String formulaString) {
        super(formulaString);
    }

    public DefaultDKPFormula(int initialTotal) {
        super(initialTotal);
    }

    
    public void addLineItem(
            float pointAdjustment, 
            String pointID, 
            String pointType, 
            String pointName)
    {
        super.addLineItem(pointAdjustment, pointID, pointType, pointName);
        mLineCount++;
    }
}
