package org.wow.autodkp.model.points.dkp;

import org.wow.autodkp.model.PlayerData;
import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystemPlayerData;


/**
 * Point generator for a given DKP system.
 * 
 * @author jsandusky
 */
public interface IDKPCalculator {
    
    IFormula generateFormula(String s);
    void loadFromRaidData(Raid raid);
    void calculate();
    void calculateLineItem(PlayerData playerdata, IPointSystemPlayerData ipointsystemplayerdata);
}
