package org.wow.autodkp.persistence;

import java.util.Set;

import org.wow.autodkp.model.Loot;


/**
 * The operations of the item "database"'s within AutoDKP.
 * 
 * @author jsandusky
 */
public interface IItemDB {
    
    void save();
    void addLoot(Loot loot);
    boolean hasItem(String lootID);
    Set getLootIDs();
    
    String getRawLootValue(String lootID);
    void setRawLootValue(String lootID, String rawValue);
}
