 package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;


/**
 * Adds a new non-raid member to the raid.
 * Non-raid members have no join/leave times, and do not
 * gain DKP from the raid. Their adjustments, initial, formula,
 * and hence total points can be modified however.
 * 
 * @author jsandusky
 */
public class AddNonRaidMemberAction extends AbstractAutoDKPAction
{
    public AddNonRaidMemberAction() {
        super("Add Non-Raid Member");
        setIcon("plus.png");
    }

    public void actionPerformed(ActionEvent e) {
        if (AutoDKPView.getInstance().addNonRaidMember()) {
            AutoDKPView.getInstance().reloadRaids();
        }
    }
}