package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;


/**
 * Reloads the selected raid.
 * Reloading a raid will cause the in-memory data for a raid
 * to be replaced with the persisted data.
 * 
 * @author jsandusky
 */
public class ReloadAction extends AbstractAutoDKPAction {
    
    public ReloadAction() {
        super("Reload All Raids");
        setIcon("reset.gif");
    }

    public void actionPerformed(ActionEvent e) {
        AutoDKPView.unloadReload();
    }
}
