package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;


/**
 * Removes the selected player row(s) from the player table.
 * This of course can only be done if points are started for the raid,
 * because this removes players from the points file - not the raid file.
 * 
 * @author jsandusky
 */
public class RemovePlayerPointsAction extends AbstractAutoDKPAction
{
    public RemovePlayerPointsAction() {
        super("Remove Player Row(s)");
        setIcon("minus.png");
    }

    public void actionPerformed(ActionEvent e) {
        if (AutoDKPView.getInstance().removeSelectedPlayers()) {
            AutoDKPView.getInstance().reloadRaids();
        }
    }
}