package org.wow.autodkp.view.filters;

import org.wow.autodkp.model.Loot;


/**
 * A filter for loot.
 * 
 * @author jsandusky
 */
public abstract class ItemFilter {
	
	private String mText;

	public String toString() {
		if (mText == null) {
			mText = generateText();
		}
		return mText;
	}

	public abstract boolean isFiltered(Loot loot);

	protected abstract String generateText();
}
