package org.wow.autodkp.view.summary;

import org.wow.autodkp.view.preferences.PreferencesItem;


/**
 * Representation of an instance (i.e. Molten Core, etc.)
 * 
 * @author jsandusky
 */
public class InstanceItem extends PreferencesItem {

    private String mInstanceName;
    private boolean mIsSelected;
    
    
    public InstanceItem(String instanceName) {
        mInstanceName = instanceName;
    }
    
    public String getInstanceName() {
        return mInstanceName;
    }
    
    protected String getRenderString() {
        return mInstanceName;
    }

    public boolean isSelected() {
        return mIsSelected;
    }
    
    public void setSelected(boolean isSelected) {
        mIsSelected = isSelected;
    }
}
