package org.wow.autodkp.view.summary;

import java.util.Date;


public class RollCallDateItem implements Comparable {
    
    private String mName;
    private Date mDate;
    private int mRecurrence;
    private boolean mIsRecurringItem;
    
    
    public RollCallDateItem(String name, Date date) {
        mName = name;
        mDate = date;
        mIsRecurringItem = false;
    }
    
    public RollCallDateItem(String name, int recurrence) {
        mName = name;
        mRecurrence = recurrence;
        mIsRecurringItem = true;
    }

    
    public Date getDate() {
        return mDate;
    }

    public void setDate(Date date) {
        mDate = date;
    }
    
    public String getName() {
        return mName;
    }
    
    public void setName(String name) {
        mName = name;
    }

    public int getRecurrence() {
        return mRecurrence;
    }
    
    public boolean isRecurringItem() {
        return mIsRecurringItem;
    }

    public int compareTo(Object arg0) {
        RollCallDateItem other = (RollCallDateItem) arg0;
        if (mDate != null && other.getDate() != null) {
            return mDate.compareTo(other.getDate());
        }
        return 0;
    }
}
