package org.wow.autodkp.view.table.customizers;

import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.UIManager;
import javax.swing.table.DefaultTableCellRenderer;


/**
 * 
 * 
 * @author jsandusky
 */
public class PlayerNameHeaderRenderer extends DefaultTableCellRenderer {

    public PlayerNameHeaderRenderer() {
        setBorder(BorderFactory.createCompoundBorder(
                UIManager.getBorder("TableHeader.cellBorder"),
                BorderFactory.createEmptyBorder(10, 10, 10, 10)));
        setVerticalAlignment(SwingConstants.BOTTOM);
        setHorizontalAlignment(SwingConstants.CENTER);
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected,
            boolean hasFocus, int row, int column) {
        setText((value == null) ? "" : value.toString());
        return this;
    }

}
