package org.wow.autodkp.view.table.players;

import org.wow.autodkp.model.FormatConstants;



public class FormulaPrintLine {
    
    private static final int LEADING = 8;
    
    private boolean mIsDKP;
    private String  mPoints;
    private String  mDescription;
    private String  mColorHexString;
    
    
    public FormulaPrintLine(String points) {
        if (points == null) {
            points = "";
        }
        StringBuffer buf = new StringBuffer();
        FormatConstants.fillSpaces(points, LEADING, buf);
        buf.append(" ");
        mPoints = buf.toString();
    }

    
    public String getColorHexString() {
        return mColorHexString;
    }

    public void setColorHexString(String colorHexString) {
        mColorHexString = colorHexString;
    }
    
    public String getDescription() {
        return mDescription;
    }

    public void setDescription(String description) {
        mDescription = description;
    }

    public String getPoints() {
        return mPoints;
    }

    public boolean isDKP() {
        return mIsDKP;
    }

    public void setIsDKP(boolean isDKP) {
        mIsDKP = isDKP;
    }
}
