package org.wow.autodkp.model.points;


public class TimeThreshold {
    
    private int mThreshold;
    private boolean mIsThresholdPercent;
    private float mThresholdPoints;
    private int mThresholdMinutes;
    
    
    public TimeThreshold() {
        this(0, false, 0.0f, 0);
    }
    
    public TimeThreshold(
            int threshold, 
            boolean isPercent, 
            float points, 
            int minutes)
    {
        mThreshold = threshold;
        mIsThresholdPercent = isPercent;
        mThresholdPoints = points;
        mThresholdMinutes = minutes;
    }

    
    public boolean isPercent() {
        return mIsThresholdPercent;
    }
    
    public void setIsPercent(boolean isThresholdPercent) {
        mIsThresholdPercent = isThresholdPercent;
    }
    
    public int getValue() {
        return mThreshold;
    }
    
    public void setValue(int threshold) {
        mThreshold = threshold;
    }
    
    public int getMinutes() {
        return mThresholdMinutes;
    }

    public void setMinutes(int thresholdMinutes) {
        mThresholdMinutes = thresholdMinutes;
    }

    public float getPoints() {
        return mThresholdPoints;
    }

    public void setPoints(float thresholdPoints) {
        mThresholdPoints = thresholdPoints;
    }
}
