package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.persistence.Persistence;
import org.wow.autodkp.view.AutoDKPView;
import org.wow.autodkp.view.HelpDialog;


/**
 * Help-About
 * 
 * @author jsandusky
 */
public class AboutAction extends AbstractAutoDKPAction {
    
    public AboutAction() {
        super("About");
        setIcon("about.png");
    }

    public void actionPerformed(ActionEvent e) {
        HelpDialog dialog = new HelpDialog(
                AutoDKPView.getInstance().getFrame(),
                "About",
                Persistence.README_FILE,
                null,
                null,
                null,
                null,
                true);
        dialog.setVisible(true);
    }
}
