package org.wow.autodkp.view.actions;

import java.awt.Image;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ImageIcon;

import org.wow.autodkp.view.ImageUtilities;

/**
 * Abstract action class.
 * 
 * @author jsandusky
 */
public abstract class AbstractAutoDKPAction extends AbstractAction {
    
    protected AbstractAutoDKPAction(String name) {
        super(name);
    }
    
    protected void setIcon(String iconFilename) {
        Image image = ImageUtilities.loadJarImage(getClass(), iconFilename);
        putValue(Action.SMALL_ICON, new ImageIcon(image));
    }
}
