package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;
import java.util.Iterator;
import java.util.Set;

import org.wow.autodkp.view.GeneralProperties;
import org.wow.autodkp.view.SaveOnExitProperty;


/**
 * Exit AutoDKP
 * 
 * @author jsandusky
 */
public class ExitAction extends AbstractAutoDKPAction {
    
    public ExitAction() {
        super("Exit");
    }

    public void actionPerformed(ActionEvent e) {
        Set saveOnExitProperties = GeneralProperties.getDefault().getSaveOnExitProperties();
        for (Iterator iter=saveOnExitProperties.iterator(); iter.hasNext();) {
            SaveOnExitProperty property = (SaveOnExitProperty) iter.next();
            property.setProperty();
        }
        GeneralProperties.getDefault().save();
        exit();
    }
    
    public void exit() {
        System.exit(0);
    }
}
