package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;
import org.wow.autodkp.view.html.HTMLViewer;


/**
 * Generate HTML from the selected raid/point data.
 * 
 * @author jsandusky
 */
public class GenerateHTMLAction extends AbstractAutoDKPAction {
    
    public GenerateHTMLAction() {
        super("Generate HTML");
        setIcon("html.png");
    }

    public void actionPerformed(ActionEvent e) {
        String report = AutoDKPView.getInstance().generateHTMLReport();
        if (report == null) {
            return;
        }
        new HTMLViewer(report).setVisible(true);
    }
}
