package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.model.AutoDKPModel;
import org.wow.autodkp.view.preferences.PreferencesWindow;


/**
 * Open AutoDKP Preferences
 * 
 * @author jsandusky
 */
public class PreferencesAction extends AbstractAutoDKPAction {
    
    public PreferencesAction() {
        super("Preferences");
        setIcon("preferences.png");
    }

    public void actionPerformed(ActionEvent e) {
        new PreferencesWindow(AutoDKPModel.getInstance().getConstraints());
    }
}
