package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;
import org.wow.autodkp.view.html.CSSStyleEditor;


/**
 * Edit HTML styles.
 * 
 * @author jsandusky
 */
public class StyleHTMLAction extends AbstractAutoDKPAction {
    
    public StyleHTMLAction() {
        super("HTML Style Editor");
        setIcon("css.png");
    }

    public void actionPerformed(ActionEvent e) {
        CSSStyleEditor editor = 
            new CSSStyleEditor(AutoDKPView.getInstance().getFrame());
        editor.setVisible(true);
    }
}
