package org.wow.autodkp.view.preferences;

import org.wow.autodkp.view.GeneralProperties;


/**
 * 
 * 
 * @author jsandusky
 */
public class PropertyItem {

    private String mPropertyName;
    private String mName;
    private String mValue;

    
    public PropertyItem(String propertyName, String name) {
        mPropertyName = propertyName;
        mName = name;
        mValue = GeneralProperties.getDefault().getStringProperty(propertyName);
        if (mValue == null) {
            mValue = "";
        }
    }

    
    public String getKey() {
        return mPropertyName;
    }
    
    public String getName() {
        return mName;
    }

    public String getValue() {
        return mValue;
    }

    public void setProperty(String value) {
        mValue = value;
        GeneralProperties.getDefault().setStringProperty(mPropertyName, mValue);
        GeneralProperties.getDefault().save();
    }

    public void setDateFormatProperty(String value) {
        mValue = value;
        GeneralProperties.getDefault().setDateFormatProperty(mPropertyName, mValue);
        GeneralProperties.getDefault().save();
    }
}
