package org.wow.autodkp.view.table;

import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

/**
 * 
 * 
 * @author jsandusky
 */
public interface ITableColumn {
    Class getColumnClass();
    String getColumnName();
    String getDefaultColumnName();
    int getPreferredWidth();
    TableCellEditor getCellEditor();
    TableCellRenderer getCellRenderer();
    Object getValueAt(Object key);
    boolean setValueAt(Object aValue, Object key);
    boolean isEditable();
    boolean isResizable();
}
