package org.wow.autodkp.view.table.customizers;

import javax.swing.table.AbstractTableModel;
import javax.swing.text.JTextComponent;

/**
 * 
 * 
 * @author jsandusky
 */
public abstract class AbstractDetailTableModel extends AbstractTableModel {

    protected int mColumnCount;
    protected int mRowCount;
    
    protected abstract String getHeaderTextForColumn(int columnIndex);
    
    protected abstract void customizeTextComponentForColumn(
            JTextComponent component, 
            int columnIndex);
    
    public int getColumnCount() {
        return mColumnCount;
    }

    public int getRowCount() {
        return mRowCount;
    }

    public boolean isCellEditable(int row, int columnIndex) {
        return true;
    }
}
