package org.wow.autodkp.view.table.players;

import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;


/**
 * 
 * 
 * @author jsandusky
 */
public class FormulaColumnHandler {
    
    private FormulaEditor mEditor;
    private FormulaRenderer mRenderer;

    
    public FormulaColumnHandler() {
        mRenderer = new FormulaRenderer();
        mEditor = new FormulaEditor();
    }

    
    public TableCellEditor getEditor() {
        return mEditor;
    }

    public TableCellRenderer getRenderer() {
        return mRenderer;
    }

    public void setPlayerData(IPointSystem constraints, Raid raid) {
        mEditor.setPlayerData(constraints, raid);
    }
}
